*This file contains the code which produces the results in the paper and the online appendix
*Stata Version 14.2

set more off
sort state year

global controls "l.lpop l.lpop2 l.kids l.aged l.income_pcr l.income_pcr2 l.urban l.control_dem l.control_rep l.govstatus_full l.ideociti govinoffice"


*Table 2

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 $controls i.year if  fouryear==1, fe cluster(statec) 

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1, fe cluster(statec) 

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmerithwyele_0 lmerithwyele_3 lmerithwyele_2 lmerithwy $controls i.year if  fouryear==1, fe cluster(statec) 


*Table 3
 
xtreg thwy_direxp l.thwy_direxp elecycle lmeritele lmerit $controls i.year if  fouryear==1, fe cluster(statec) 

reg thwy_direxp l.thwy_direxp elecycle##(c.($controls) i.state i.year) lmeritele lmerit if  fouryear==1, cluster(statec) 
margins, dydx(elecycle)

xtreg thwy_direxp l.thwy_direxp elecycle lmerithwyele lmerithwy $controls i.year if  fouryear==1, fe cluster(statec) 
	
reg thwy_direxp l.thwy_direxp elecycle##(c.($controls) i.state i.year) lmerithwyele lmerithwy if  fouryear==1, cluster(statec) 
margins, dydx(elecycle)


*Table 4

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmerithwyele_0 lmerithwyele_3 lmerithwyele_2 lmerithwy lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1, fe cluster(statec) 
	

*Appendix Table 1

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear60==1, fe cluster(statec)

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if year>=1960 & year<1984 & fouryear==1, fe cluster(statec)


*Appendix Table 2

gen Lthwy_direxp=l.thwy_direxp
xi i.year
global yeardummies "_Iyear_1961 _Iyear_1962 _Iyear_1963 _Iyear_1964 _Iyear_1965 _Iyear_1966 _Iyear_1967 _Iyear_1968 _Iyear_1969 _Iyear_1970 _Iyear_1971 _Iyear_1972 _Iyear_1973 _Iyear_1974 _Iyear_1975 _Iyear_1976 _Iyear_1977 _Iyear_1978 _Iyear_1979 _Iyear_1980 _Iyear_1981 _Iyear_1982 _Iyear_1983 _Iyear_1984 _Iyear_1985 _Iyear_1986 _Iyear_1987 _Iyear_1988 _Iyear_1989 _Iyear_1990 _Iyear_1991 _Iyear_1992 _Iyear_1993 _Iyear_1994 _Iyear_1995"

ivreg2 D.thwy_direxp (D.Lthwy_direxp= l2.thwy_direxp l3.thwy_direxp) D.(ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit ///
     $controls $yeardummies) if  fouryear==1, robust gmm2s small
abar, lag(3)

ivreg2 D.thwy_direxp (D.Lthwy_direxp= l3.thwy_direxp l4.thwy_direxp) D.(ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit ///
     $controls $yeardummies) if  fouryear==1, robust gmm2s small
abar, lag(4)

xtabond2 thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit ///
     $controls i.year if  fouryear==1, ///
	 gmm(l.thwy_direxp, lag(3 4)) iv(ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year) ///
	 nolevel robust small artests(4) nodiffsargan

xtabond2 thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit ///
     $controls i.year if  fouryear==1, ///
	 gmm(l.thwy_direxp, lag(3 10)) iv(ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year) ///
	 nolevel robust small artests(4) nodiffsargan


*Appendix Table 4

reg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 wmargin lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year i.state if  fouryear==1, cluster(statec) 

reg thwy_direxp l.thwy_direxp (ielecycleal_0 ielecycleal_3 ielecycleal_2)##c.wmargin lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year i.state if  fouryear==1, cluster(statec) 
margins, dydx(ielecycleal_0)
margins, dydx(ielecycleal_3)
margins, dydx(ielecycleal_2)

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1 & wmargin<0.2, fe cluster(statec) 

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1 & wmargin<0.1, fe cluster(statec) 

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1 & wmargin<0.05, fe cluster(statec) 


*Appendix Table 5

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1 & state!=17 & state!=24 & state!=26 & state!=34 & state!=40, fe cluster(statec) 

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1 & (year<merityear-2 | year>merityear+2), fe cluster(statec) 

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1 & (year<merityear-4 | year>merityear+4), fe cluster(statec) 

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1 & (year<merityear-6 | year>merityear+6), fe cluster(statec) 


*Table 6

gen shortleg=1 if statecode=="AL" | statecode=="MD" | statecode=="MS" | statecode=="LA" | statecode=="ND" // based on Folke et al (2012, fn 24).
xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1 & shortleg!=1, fe cluster(statec) 

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit  ///
  ldividedele_0 ldividedele_3 ldividedele_2 ldivided $controls i.year if  fouryear==1, fe cluster(statec) 

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit  ///
  lprofele_0 lprofele_3 lprofele_2 lprof $controls i.year if  fouryear==1, fe cluster(statec) 


*Appendix Table 7

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 $controls i.year if  fouryear==1 & govexper==1, fe cluster(statec) 

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1 & govexper==1, fe cluster(statec) 

xtreg thwy_direxp l.thwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmerithwyele_0 lmerithwyele_3 lmerithwyele_2 lmerithwy $controls i.year if  fouryear==1 & govexper==1, fe cluster(statec) 
	

*Appendix Table 6

reg thwy_direxp l.thwy_direxp (ielecycleal_0 ielecycleal_3 ielecycleal_2)##i.govexper $controls i.year i.state if  fouryear==1, cluster(statec) 
margins, dydx(ielecycleal_0 ielecycleal_3 ielecycleal_2) at(govexper=0)
margins, dydx(ielecycleal_0 ielecycleal_3 ielecycleal_2) at(govexper=1)

reg thwy_direxp l.thwy_direxp (ielecycleal_0 ielecycleal_3 ielecycleal_2)##i.govexper lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year i.state if  fouryear==1, cluster(statec) 
margins, dydx(ielecycleal_0 ielecycleal_3 ielecycleal_2) at(govexper=0)
margins, dydx(ielecycleal_0 ielecycleal_3 ielecycleal_2) at(govexper=1)

reg thwy_direxp l.thwy_direxp (ielecycleal_0 ielecycleal_3 ielecycleal_2)##i.govexper lmerithwyele_0 lmerithwyele_3 lmerithwyele_2 lmerithwy $controls i.year i.state if  fouryear==1, cluster(statec) 
margins, dydx(ielecycleal_0 ielecycleal_3 ielecycleal_2) at(govexper=0)
margins, dydx(ielecycleal_0 ielecycleal_3 ielecycleal_2) at(govexper=1)
	

*Table 5

reg thwy_direxp l.thwy_direxp (ielecycleal_0 ielecycleal_3 ielecycleal_2)##i.govlimited $controls i.year i.state if  fouryear==1, cluster(statec) 
margins, dydx(ielecycleal_0 ielecycleal_3 ielecycleal_2) at(govlimited=0)
margins, dydx(ielecycleal_0 ielecycleal_3 ielecycleal_2) at(govlimited=1)

reg thwy_direxp l.thwy_direxp (ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit)##i.govlimited $controls i.year i.state if  fouryear==1, cluster(statec) 
margins, dydx(ielecycleal_0 lmeritele_0 ielecycleal_3 lmeritele_3 ielecycleal_2 lmeritele_2 lmerit) at(govlimited=0)
margins, dydx(ielecycleal_0 lmeritele_0 ielecycleal_3 lmeritele_3 ielecycleal_2 lmeritele_2 lmerit) at(govlimited=1)

reg thwy_direxp l.thwy_direxp (ielecycleal_0 ielecycleal_3 ielecycleal_2 lmerithwyele_0 lmerithwyele_3 lmerithwyele_2 lmerithwy)##i.govlimited $controls i.year i.state if  fouryear==1, cluster(statec) 
margins, dydx(ielecycleal_0 lmerithwyele_0 ielecycleal_3 lmerithwyele_3 ielecycleal_2 lmerithwyele_2 lmerithwy) at(govlimited=0)
margins, dydx(ielecycleal_0 lmerithwyele_0 ielecycleal_3 lmerithwyele_3 ielecycleal_2 lmerithwyele_2 lmerithwy) at(govlimited=1)


*Appendix Table 8

reg thwy_direxp l.thwy_direxp (ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit)##i.(govexper govlimited) $controls i.year i.state if  fouryear==1, cluster(statec) 
margins, dydx(ielecycleal_0 lmeritele_0 ielecycleal_3 lmeritele_3 ielecycleal_2 lmeritele_2 lmerit) at(govexper=0 govlimited=0)
margins, dydx(ielecycleal_0 lmeritele_0 ielecycleal_3 lmeritele_3 ielecycleal_2 lmeritele_2 lmerit) at(govexper=1 govlimited=0)
margins, dydx(ielecycleal_0 lmeritele_0 ielecycleal_3 lmeritele_3 ielecycleal_2 lmeritele_2 lmerit) at(govexper=0 govlimited=1)
margins, dydx(ielecycleal_0 lmeritele_0 ielecycleal_3 lmeritele_3 ielecycleal_2 lmeritele_2 lmerit) at(govexper=1 govlimited=1)

reg thwy_direxp l.thwy_direxp (ielecycleal_0 ielecycleal_3 ielecycleal_2 lmerithwyele_0 lmerithwyele_3 lmerithwyele_2 lmerithwy)##i.(govexper govlimited) $controls i.year i.state if  fouryear==1, cluster(statec) 
margins, dydx(ielecycleal_0 lmerithwyele_0 ielecycleal_3 lmerithwyele_3 ielecycleal_2 lmerithwyele_2 lmerithwy) at(govexper=0 govlimited=0)
margins, dydx(ielecycleal_0 lmerithwyele_0 ielecycleal_3 lmerithwyele_3 ielecycleal_2 lmerithwyele_2 lmerithwy) at(govexper=1 govlimited=0)
margins, dydx(ielecycleal_0 lmerithwyele_0 ielecycleal_3 lmerithwyele_3 ielecycleal_2 lmerithwyele_2 lmerithwy) at(govexper=0 govlimited=1)
margins, dydx(ielecycleal_0 lmerithwyele_0 ielecycleal_3 lmerithwyele_3 ielecycleal_2 lmerithwyele_2 lmerithwy) at(govexper=1 govlimited=1)

	
*Table 7
	
xtreg tollhwy l.tollhwy ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1, fe cluster(statec) 

xtreg rhwy_direxp l.rhwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1, fe cluster(statec) 


*Appendix Table 9

xtreg direxp l.direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1, fe cluster(statec) 

xtreg nonhwy_direxp l.nonhwy_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1, fe cluster(statec) 


*Appendix Table 10	

xtreg alleduc_dir l.alleduc_dir ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1, fe cluster(statec) 

xtreg welf_dir l.welf_dir ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1, fe cluster(statec) 

xtreg hospital_direxp l.hospital_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1, fe cluster(statec) 

xtreg publicsafety_direxp l.publicsafety_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1, fe cluster(statec) 

xtreg admin_direxp l.admin_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1, fe cluster(statec) 

xtreg natres_direxp l.natres_direxp ielecycleal_0 ielecycleal_3 ielecycleal_2 lmeritele_0 lmeritele_3 lmeritele_2 lmerit $controls i.year if  fouryear==1, fe cluster(statec) 


